<template>
  <div v-if="isVisible">
    <v-row>
      <v-col :cols="12" :sm="12" :md="12" :lg="12" :xl="12">
        <div class="text-center">
          Valo σ: <span class="tBold">{{ defectoMillon.sigma }}</span>
        </div>
        <div class="text-center">
          DPMO: <span class="tBold">{{ defectoMillon.defecto_millon }}</span>
        </div>
      </v-col>
    </v-row>
  </div>
</template>
<style scoped>
.tBold {
  font-family: "Avenir_Next_Demi_Bold";
}
</style>
<script>
import axios from "axios";
export default {
  name: "Component-DefectosPorMillon",
  props: {
    isLoading: Function,
    globalFiltersParent: Object
  },
  data() {
    return {
      globalFilters: null,
      defectoMillon: {},
      isVisible: true
    };
  },
  methods: {
    listenSearchConsulta(globalFilters) {
      if (globalFilters.final_filters.nivel_geografico > 0) {
        this.isVisible = true;
        this.globalFilters = globalFilters;
        this.getDefectoPorMillon();
      } else {
        this.isVisible = false;
      }
    },
    getDefectoPorMillon() {
      this.isLoading(true);
      const self = this;
      const contentFiltros = {
        filtros: this.globalFilters.final_filters
      };
      axios
        .post(
          "franquicia/dashboard/secure/grafico/get/defecto/por/millon/nivel",
          contentFiltros
        )
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                self.setDefectoPorMillon(data);
              }
            } else {
              self.setDefectoPorMillon([]);
            }
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(function() {
          self.isLoading(false);
        });
    },
    setDefectoPorMillon(defectoMillon) {
      this.defectoMillon = defectoMillon;
    }
  },
  mounted() {
    this.$root.$on("searchconsulta", this.listenSearchConsulta);
  },
  created() {
    this.globalFilters = this.globalFiltersParent;
    if (this.globalFilters) {
      this.getDefectoPorMillon();
    }
  }
};
</script>
